QGIS 3.6 win64 hang editing line feature

2019-02-27 02:34 PM - Martin Pergler

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:3.6.0 Regression?: No

Operating System: Windows 10 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 29224

Description

Editing vector layer (LineString, in a GPKG, not sure if that matters). Turn on vertex editor.

Snapping is on.

Any action which activates snapping sends QGIS into endless hang: once purple square around a (potential) snap point, blue rotating ring

appears, CPU usage goes up, QGIS becomes unresponsive. Window header shows "(Not responding)" and only option is to manually kill

QGIS process.

Snapping settings are sensible, i.e. to current layer only or to a small number of simple locally-stored vector layers, 12px. Hang happens

however snapping is triggered (add a new point, attempt to move existing feature in layer being edited) but not if snapping is off, or if

snapping is not triggered (e.g. go to an existing vertex in feature and choose the + to add a new vertex).

Advanced digitizing panel is open and on; haven't tried without it.

Problem persists on application restart, trying with different map extents, removing other visible (but non snapped) layers, and after

reboot.

I think it worked in v3.4.4 (didn't do exactly the same thing).

Thanks for a great product!

History

#1 - 2019-02-27 02:55 PM - Saber Razmjooei

- Status changed from Open to Feedback

Could you provide an example project with data?

#2 - 2019-02-27 04:35 PM - Martin Pergler

- File Twin Rock simplified for bug.qgz added

- File twinrock_bug_report.gpkg added

Saber Razmjooei wrote:

Could you provide an example project with data?

See attached.

The gpkg contains needed layer files.
Steps:

Open the project. Select the LRL survey layer (blue lines). Edit (in toolbar). Add line feature (in toolbar). Ensure advanced digitizing is on (panel) (actually

not sure this step is needed to replicate) and snapping is on (toolbar). Click near blue line endpoint at bottom left of canvas. Purple snapping marker

appears. Window stops updating in any way. On next click (anywhere) blue circle appears. QGIS becomes unresponsive and CPU usage increases.

Thanks.

#3 - 2019-02-27 11:20 PM - Martin Pergler

I have now confirmed that the problem is something about interaction between snapping and Advanced Digitizing.

When snapping is off, can add a line feature with Adv Dig active. 

When snapping is on, but Adv Dig is in_active (the pushbutton icon is off inthe Adv Dig panel), there is also no problem. I can add a line snapped to the

previous one and place its subsequent points "freehand".

But when Adv Dig and snapping are _both active, and a click is made after snapping identifies a vertex (purple snapping marker), that's when the hang

follows.

When Adv Dig is _in_active, I can start the new line with the snap. If I then turn Adv Dig to active while attempting to place additional vertices on the line, it

hangs.

#4 - 2019-02-28 09:23 AM - Saber Razmjooei

I cannot reproduce your issue on a "clean" QGIS 3.6.

Could you try to disable your plugins with a fresh profile please?

#5 - 2019-02-28 12:48 PM - Martin Pergler

Saber Razmjooei wrote:

I cannot reproduce your issue on a "clean" QGIS 3.6.

Could you try to disable your plugins with a fresh profile please?

Seems to have been a corrupt profile in some way.

Clean profile with plugins that I care about re-enabled = no problem

Old profile with all noncore plugins disabled = continued problem

Old profile with settings which seemed as if they might be problematic (hardware acceleration, UI theme, etc.) set back to default = also continued problem

And my QGIS starts faster with the clean profile. 

So my immediate issue is solved, thanks.

Let me know if you want to pore through the old vs new profile files to nail the bug, but probably not worth anyone's while given how you can be spending

your time!

#6 - 2019-02-28 12:57 PM - Saber Razmjooei

- Status changed from Feedback to Closed
@Martin, good to hear the issue has been solved with a clean profile.

For the purpose of this ticket, I think we can close it. There must have been some left overs from previous installations.

#7 - 2019-03-01 08:14 PM - Giovanni Manghi

- Resolution set to invalid

#8 - 2019-03-09 02:00 PM - Martin Pergler

- File QGIS3.ini added

- Status changed from Closed to Reopened

Well, it's come back.

10 days ago I created a new (clean) profile. Problem went away. 

Today I again get replicable freezing creating a new polygon with Snapping + Advanced Digitizing both on, using this 10 day old profile.

Of course, that profile is no longer so sparking clean, with a variety of settings changed and plugins added over 10 days, but I'm afraid the hypothesis "left

overs [in the previous profile] from previous installations" is rejected.

I've tried with a 3rd, brand-new-nothing-ever-added testing profile and the problem goes away. I've tried disabling all active plugins in my main (=10 day

old) profile, and the problem persists. So something in the background has done something to the profile over time, all within v3.6, that later makes

Snapping + Advanced Digitizing choke. I don't do this combo of operations often, so I can't pinpoint exactly what may have changed in my profile to cause

it.

What's the best way to proceed to help find and fix the pesky cause? I'm happy to share whatever bits and pieces of my profile would help. Or to run some

sort of detailed verbose logger? To start, here's my QGIS3.ini (from the 10 day old profile now causing problems).

#9 - 2019-03-09 02:04 PM - Giovanni Manghi

- Status changed from Reopened to Closed

Martin Pergler wrote:

Well, it's come back.

10 days ago I created a new (clean) profile. Problem went away. 

Today I again get replicable freezing creating a new polygon with Snapping + Advanced Digitizing both on, using this 10 day old profile.

Of course, that profile is no longer so sparking clean, with a variety of settings changed and plugins added over 10 days, but I'm afraid the

hypothesis "left overs [in the previous profile] from previous installations" is rejected.

I've tried with a 3rd, brand-new-nothing-ever-added testing profile and the problem goes away. I've tried disabling all active plugins in my main (=10

day old) profile, and the problem persists.

I'm afraid this could be very well a 3rd party plugin to leave behind some stuff... not a QGIS problem anyway. This is of course just a hunch, if you really

find that this problem is NOT related to a 3rd party plugin then ask to reopen the ticket.

Files

Twin Rock simplified for bug.qgz 10.5 KB 2019-02-27 Martin Pergler

twinrock_bug_report.gpkg 716 KB 2019-02-27 Martin Pergler

QGIS3.ini 47.6 KB 2019-03-09 Martin Pergler
